Subject: bug#1806: dired-pop-to-buffer in wrong place

From: Juri Linkov <[email-masked]>
Date: Wed, 29 Apr 2009 01:58:00 +0300

> Please have a look at the attached (only lightly tested) patch.
> I didn't provide a similar service for `special-display-buffer-names'
> and `special-display-regexps' yet.
>
> `display-buffer' and `pop-to-buffer' behave "as usual" as long as the
> default values for `pop-up-windows', NOT-THIS-WINDOW, and OTHER-WINDOW
> are used.  An application calling `display-buffer' or `pop-to-buffer'
> can specify the preferable window to split by setting NOT-THIS-WINDOW or
> OTHER-WINDOW appropriately.  Users can specify their preferences (and
> override the application) by setting `pop-up-windows' appropriately.

This might be good for post-23.1, but the reported annoyance is still here,
so we need just to restore the old 22.1 behavior of `dired-pop-to-buffer'.

Martin, do you think this is possible without reverting `dired-pop-to-buffer'
to pre-December 2008 state, and making necessary changes in window.el
thus providing the same behavior that was in `dired-pop-to-buffer'?

-- 
Juri Linkov
http://www.jurta.org/emacs/